%define upstream_name    CGI-Application-Plugin-DBH
%define upstream_version 4.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Easy DBI access from CGI::Application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(CGI::Application)
BuildRequires: perl(DBD::Mock)
BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::MockObject) >= 1.201.203.10
BuildRequires: perl(parent)
BuildArch:  noarch

%{?perl_default_filter}

%description
CGI::Application::Plugin::DBH adds easy access to a DBI database handle to
your CGI::Application modules. Lazy loading is used to prevent a database
connection from being made if the 'dbh' method is not called during the
request. In other words, the database connection is not created until it is
actually needed. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/CGI


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 4.40.0-10.mga9
+ Revision: 1817039
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.40.0-9.mga8
+ Revision: 1493477
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 4.40.0-8.mga7
+ Revision: 1265988
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 4.40.0-7.mga6
+ Revision: 1023427
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 4.40.0-6.mga6
+ Revision: 969211
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 4.40.0-5.mga6
+ Revision: 864970
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 4.40.0-4.mga5
+ Revision: 745177
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 4.40.0-3.mga5
+ Revision: 732914
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 4.40.0-2.mga5
+ Revision: 683630
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 shlomif <shlomif> 4.40.0-1.mga5
+ Revision: 585011
- New ver 4.04

* Sat Oct 19 2013 umeabot <umeabot> 4.10.0-2.mga4
+ Revision: 529487
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 4.10.0-1.mga4
+ Revision: 451974
- adding missing buildrequires:
- update to 4.01

* Sun Jan 13 2013 umeabot <umeabot> 4.0.0-2.mga3
+ Revision: 363480
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 4.0.0-1.mga1
+ Revision: 25853
- mageia rebuild
- imported package perl-CGI-Application-Plugin-DBH


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 4.0.0-1mdv2010.1
+ Revision: 504596
- rebuild using %%perl_convert_version

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 4.00-2mdv2010.0
+ Revision: 440536
- rebuild

* Wed Nov 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.00-1mdv2009.1
+ Revision: 307068
- import perl-CGI-Application-Plugin-DBH


* Wed Nov 26 2008 cpan2dist 4.00-1mdv
- initial mdv release, generated with cpan2dist

